Bug 803784 - FTBFS: linux_sysfs.c:870:32: error: macro "outl" passed 2 arguments, but takes just 1
FTBFS: linux_sysfs.c:870:32: error: macro "outl" passed 2 arguments, but take...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libpciaccess (Show other bugs)
17
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 12:12 EDT by Karsten Hopp
Modified: 2012-04-11 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: libpciaccess-0.13-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:08:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2012-03-15 12:12:54 EDT
Description of problem:
libpciaccess-0.12.902-5.fc17 fails to build on PPC:
linux_sysfs.c: In function 'pci_device_linux_sysfs_map_range':
linux_sysfs.c:553:9: warning: unused variable 'err' [-Wunused-variable]
linux_sysfs.c: In function 'pci_device_linux_sysfs_write32':
linux_sysfs.c:870:32: error: macro "outl" passed 2 arguments, but takes just 1
linux_sysfs.c:870:2: error: 'outl' undeclared (first use in this function)
linux_sysfs.c:870:2: note: each undeclared identifier is reported only once for each function it appears in
linux_sysfs.c: In function 'pci_device_linux_sysfs_write16':
linux_sysfs.c:880:32: error: macro "outw" passed 2 arguments, but takes just 1
linux_sysfs.c:880:2: error: 'outw' undeclared (first use in this function)
linux_sysfs.c: In function 'pci_device_linux_sysfs_write8':
linux_sysfs.c:890:32: error: macro "outb" passed 2 arguments, but takes just 1
linux_sysfs.c:890:2: error: 'outb' undeclared (first use in this function)


How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f17 libpciaccess-0.12.902-5.fc17.src.rpm
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=439276
Comment 1 Fedora Update System 2012-04-02 11:24:18 EDT
libpciaccess-0.13-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-4878/libpciaccess-0.13-2.fc17
Comment 2 Fedora Update System 2012-04-11 23:08:33 EDT
libpciaccess-0.13-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.